Modify a Tag
Updates the details of the Tag specified by the tagId URI parameter, from the Tag Collection specified by the tagCollectionId URI parameter.
You must have write access to the Tag Collection to modify Tags of that Tag Collection. For more information see Control Access </en/docs/schema/v3/developers_guide/basics/access/>_.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Headers
The Autodesk Schema Registry currently supports in the US and EMEA regions. This header specifies where your data is stored. Possible Values:
US- (Default) All requests without a specified region header will be directed to the US region.EMEA- Data center for the European Union, Middle East, and Africa. To access the EMEA region specifically, include the header “region: EMEA” in your API requests.
Request
A JSON object of user-defined schema containing custom data for the Tag. The only validation the system performs on this object is to make sure that it is a valid JSON object.
Response
A system-generated ID to uniquely identify the Tag.
A container for user-defined custom data.
If a three-legged access token was used to create the Tag, contains the Autodesk ID (Oxygen ID) of the person who created it. If a two-legged access token was used to create the Tag, contains the Client ID of the app that created it.
If a three-legged access token was used to modify the Tag, contains the Autodesk ID (Oxygen ID) of the person who modified it. If a two-legged access token was used to modify the Tag, contains the Client ID of the app that modified it.